package main

import (
	"fmt"
	"github.com/urfave/cli/v2"
	"os"
)

func main() {
	commands := []*cli.Command{
		createCmd(),
		generateCmd(),
		webappCmd(),
		tailwindCmd(),
		setupCmd(),
		vueGenCmd(),
	}

	app := &cli.App{
		Name:        "Masonry",
		Usage:       "A CLI tool from building SAAS applications",
		Version:     "v1.0.0",
		Description: "Masonry is a CLI tool for building SAAS applications",
		Commands:    commands,
		Flags:       nil,
		Authors: []*cli.Author{
			{
				Name:  "Mason Payne",
				Email: "mason@masonitestudios.com",
			},
		},
		Copyright:              "2025 Masonite Studios LLC",
		UseShortOptionHandling: true,
	}

	err := app.Run(os.Args)
	if err != nil {
		fmt.Println(fmt.Errorf("error running app | %w", err))
		return
	}
}
