# Masonry

Masonry is a library that provides and implements all the basics necessary to build robust, production ready web applications.

## Features

- [ ] Authentication via SpartanAuth
- [ ] Authorization via SpiceDB
- [x] Database - your pick of Turso, LibSQL, SQLite, MySQL, Postgres
- [ ] Payments via Stripe with flexible product configurations and pricing
- [ ] Semantic Search for RAG or application navigation
- [ ] System Email templates and SMTP integration
- [ ] Cross-platform, installable apps for mobile, desktop and web
- [x] Predetermined frontend frameworks and adjustable styles
- [ ] Built in notification framework
- [ ] Customizable calls to webhooks for any event
- [ ] Integrate with an object storage system like S3
- [ ] 
- [ ]

## Design Philosophy (changeable...)

The goal of this project is to make building software for web and mobile applications as fast as possible while maintaining
the highest level of quality and maintainability as possible.

* The more than can be derived from configuration the better.
* Pre-built functionality should be isolated into libraries and modules with *simple* interfaces to minimize manual coding.
* Composable applications minimizes dependencies and maximizes extensibility.
* 
